Reply

API Creating a Lofted Cutout

[ Edited ]

I am using the API to create a Lofted Cutout but have run into a wall. I believe the problem is with the OriginArray. I've tried everything I could think of as to what could be specified. Maybe someone here has a solution for me? 

 

Dim objNewCut As SolidEdgePart.LoftedCutout = Nothing

 

  objNewCut = objLoftCuts.AddSimple(NumSections:=objCol.Count, _
CrossSections:=objCol, _
CrossSectionTypes:=lngCrossSectionTypes, _
Origins:=OriginArray, _
MaterialSide:=SolidEdgePart.FeaturePropertyConstants.igLeft, _
StartTangentType:=SolidEdgePart.FeaturePropertyConstants.igNone, _
EndTangentType:=SolidEdgePart.FeaturePropertyConstants.igNone)

4 REPLIES

Re: API Creating a Lofted Cutout

you will have a better target audience and luck posting in SE Developers Forum: 

 

http://community.plm.automation.siemens.com/t5/Solid-Edge-Developer-Forum/bd-p/SEDeveloperForum

 

Re: API Creating a Lofted Cutout

1. You are on ST 8 - WoW !

2. The code snippet you posted indicate very little or nothing of what data the parameters passed to the the AddSimple method contain. The image also has the message cropped.

3. A more appropriate place to post this would be the Solid Edge Dev Forum.

 

Best Wishes.

 

~Tushar Suradkar

wwwSurfAndCode.in

 

Re: API Creating a Lofted Cutout

YIKES!!!

 

yes...  Word to the wise for the OP...

 

BE VERY VERY VERY Careful. and I would not publishing ANY screen shots of a beta product...  you are under NDA and may inadvertanly post something...  Dan himself has done so accedently in the past and there are some very eagle eye folk who scoure images looking for "leaks"

 

(former Beta user myself)  I'd suggest removing said image asap... 

 

Re: API Creating a Lofted Cutout

Oh, I thought ST 8 is released in the UK ahead of elsewhere in the world and perhaps the user is from there.